Index: encoder/slicetype.c
===================================================================
--- encoder/slicetype.c	(revision 745)
+++ encoder/slicetype.c	(working copy)
@@ -218,7 +218,7 @@
 
         if( i_icost < i_bcost * 2 )
         {
-            DECLARE_ALIGNED( uint8_t, edge[33], 8 );
+            DECLARE_ALIGNED( uint8_t, edge[33], 16 );
             x264_predict_8x8_filter( pix, edge, ALL_NEIGHBORS, ALL_NEIGHBORS );
             for( i=3; i<9; i++ )
             {
Index: encoder/macroblock.c
===================================================================
--- encoder/macroblock.c	(revision 745)
+++ encoder/macroblock.c	(working copy)
@@ -366,7 +366,7 @@
     }
     else if( h->mb.i_type == I_8x8 )
     {
-        DECLARE_ALIGNED( uint8_t, edge[33], 8 );
+        DECLARE_ALIGNED( uint8_t, edge[33], 16 );
         h->mb.b_transform_8x8 = 1;
         for( i = 0; i < 4; i++ )
         {
Index: encoder/analyse.c
===================================================================
--- encoder/analyse.c	(revision 745)
+++ encoder/analyse.c	(working copy)
@@ -582,7 +582,7 @@
     /* 8x8 prediction selection */
     if( flags & X264_ANALYSE_I8x8 )
     {
-        DECLARE_ALIGNED( uint8_t, edge[33], 8 );
+        DECLARE_ALIGNED( uint8_t, edge[33], 16 );
         x264_pixel_cmp_t sa8d = (*h->pixf.mbcmp == *h->pixf.sad) ? h->pixf.sad[PIXEL_8x8] : h->pixf.sa8d[PIXEL_8x8];
         int i_satd_thresh = a->b_mbrd ? COST_MAX : X264_MIN( i_satd_inter, a->i_satd_i16x16 );
         int i_cost = 0;
@@ -836,7 +836,7 @@
     }
     else if( h->mb.i_type == I_8x8 )
     {
-        DECLARE_ALIGNED( uint8_t, edge[33], 8 );
+        DECLARE_ALIGNED( uint8_t, edge[33], 16 );
         for( idx = 0; idx < 4; idx++ )
         {
             uint64_t pels_h = 0;